#region Copyright Syncfusion Inc. 2001 - 2016
// Copyright Syncfusion Inc. 2001 - 2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Chart;
using Syncfusion.Windows.Forms;
using Syncfusion.Drawing;

namespace BoxAndWhisker_2005
{
    public partial class Form1 : MetroForm
    {

        public Form1()
        {
            BorderColor = Color.FromArgb(0xFF, 0xCD, 0xCD, 0xCD);
            BorderThickness = 3;
            CaptionBarHeight = 75;
            CaptionBarColor = Color.FromArgb(0xFF, 0x1B, 0xA1, 0xE2);
            CaptionFont = new Font("Segoe UI", 22.0f);
            CaptionForeColor = Color.White;
            CaptionButtonColor = Color.White;
            CaptionButtonHoverColor = Color.White;
            CaptionAlign = HorizontalAlignment.Left;
            ShowIcon = false;
            CaptionButtonColor = Color.White;
            CaptionButtonHoverColor = Color.White;
            InitializeComponent();         
            InitializeChartData();         

        }

        protected void InitializeChartData()
        {
            ChartSeries BoxPlot = new ChartSeries("Arun", ChartSeriesType.BoxAndWhisker);
            BoxPlot.Styles[0].Interior = new BrushInfo(Color.Green);
            ChartSeries BoxPlot1 = new ChartSeries("Raj", ChartSeriesType.BoxAndWhisker);
            ChartSeries BoxPlot2 = new ChartSeries("Dinesh", ChartSeriesType.BoxAndWhisker);
            ChartSeries BoxPlot3 = new ChartSeries("Kannan", ChartSeriesType.BoxAndWhisker);
            ChartSeries BoxPlot4 = new ChartSeries("Saran", ChartSeriesType.BoxAndWhisker);
       
            BoxPlot.Points.Add(0, 30, 40, 50, 60, 70, 80, 90, 100, 110, 120);
            BoxPlot1.Points.Add(1, 30, 40, 50, 60, 70, 80, 90, 100, 110, 120);
            BoxPlot2.Points.Add(2, 30, 40, 50, 60, 70, 80, 90, 100, 110, 120);
            BoxPlot3.Points.Add(3, 30, 40, 50, 60, 70, 80, 90, 100, 110, 120);
            BoxPlot4.Points.Add(4, 30, 40, 50, 60, 70, 80, 90, 100, 110, 120);


            this.chartControl1.Series.Add(BoxPlot);
            this.chartControl1.Series.Add(BoxPlot1);
            this.chartControl1.Series.Add(BoxPlot2);
            this.chartControl1.Series.Add(BoxPlot3);
            this.chartControl1.Series.Add(BoxPlot4);

            this.chartControl1.PrimaryXAxis.Range =new MinMaxInfo(-1,5,1);

            this.chartControl1.ColumnWidthMode = ChartColumnWidthMode.FixedWidthMode;
            this.chartControl1.ColumnFixedWidth = 50;
            this.chartControl1.ColumnDrawMode = ChartColumnDrawMode.ClusteredMode;

            ChartCustomPoint ccp = new ChartCustomPoint();
            ccp.XValue = this.chartControl1.Series[0].Points[0].X;
            ccp.YValue = this.chartControl1.Series[0].Points[0].YValues[3];
            ccp.CustomType = ChartCustomPointType.ChartCoordinates;

            ccp.SeriesIndex = 0;
            ccp.PointIndex = 0;
            ccp.Border.Color = Color.Black;
            ccp.Symbol.Color = Color.Yellow;
            ccp.Symbol.Size = new System.Drawing.Size(15, 15);
            ccp.Symbol.Shape = ChartSymbolShape.Circle;
            this.chartControl1.CustomPoints.Add(ccp);

            ChartCustomPoint ccp1 = new ChartCustomPoint();
            ccp1.XValue = this.chartControl1.Series[1].Points[0].X;
            ccp1.YValue = this.chartControl1.Series[1].Points[0].YValues[6];
            ccp1.CustomType = ChartCustomPointType.ChartCoordinates;
            ccp1.SeriesIndex = 1;
            ccp1.PointIndex = 0;
            ccp1.Border.Color = Color.Black;
            ccp1.Symbol.Color = Color.Yellow;
            ccp1.Symbol.Size = new System.Drawing.Size(15, 15);
            ccp1.Symbol.Shape = ChartSymbolShape.Circle;

            this.chartControl1.CustomPoints.Add(ccp1);

            ChartCustomPoint ccp2 = new ChartCustomPoint();
            ccp2.XValue = this.chartControl1.Series[2].Points[0].X;
            ccp2.YValue = this.chartControl1.Series[2].Points[0].YValues[3];
            ccp2.CustomType = ChartCustomPointType.ChartCoordinates;
            ccp2.SeriesIndex = 2;
            ccp2.PointIndex = 0;
            ccp2.Border.Color = Color.Black;
            ccp2.Symbol.Color = Color.Yellow;
            ccp2.Symbol.Size = new System.Drawing.Size(15, 15);
            ccp2.Symbol.Shape = ChartSymbolShape.Circle;

            this.chartControl1.CustomPoints.Add(ccp2);

            ChartCustomPoint ccp3 = new ChartCustomPoint();
            ccp3.XValue = this.chartControl1.Series[3].Points[0].X;
            ccp3.YValue = this.chartControl1.Series[3].Points[0].YValues[6];
            ccp3.CustomType = ChartCustomPointType.ChartCoordinates;
            ccp3.SeriesIndex = 3;
            ccp3.PointIndex = 0;
            ccp3.Border.Color = Color.Black;
            ccp3.Symbol.Color = Color.Yellow;
            ccp3.Symbol.Size = new System.Drawing.Size(15, 15);
            ccp3.Symbol.Shape = ChartSymbolShape.Circle;

            this.chartControl1.CustomPoints.Add(ccp3);

            ChartCustomPoint ccp4 = new ChartCustomPoint();
            ccp4.XValue = this.chartControl1.Series[4].Points[0].X;
            ccp4.YValue = this.chartControl1.Series[4].Points[0].YValues[3];
            ccp4.CustomType = ChartCustomPointType.ChartCoordinates;
            ccp4.SeriesIndex = 4;
            ccp4.PointIndex = 0;
            ccp4.Border.Color = Color.Black;
            ccp4.Symbol.Color = Color.Yellow;
            ccp4.Symbol.Size = new System.Drawing.Size(15, 15);
            ccp4.Symbol.Shape = ChartSymbolShape.Circle;

            this.chartControl1.CustomPoints.Add(ccp4);

        }
      
    }
}